#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=indios4.8_base.ps
projection=-JM16.0c+
region=-R-67.2/-66.4/17.7/18.4
gmt psbasemap $region $projection -Bxa0.2f0.1 -Bya0.2f0.1 -BWeSn+t'Base Map indios4.8' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    18.202   -67.075
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    18.113   -66.773
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    18.218   -66.997
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    18.146   -66.980
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    18.217   -67.047
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    18.216   -67.047
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    18.020   -66.473
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    18.098   -67.114
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    18.241   -66.955
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    18.213   -67.108
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    18.208   -67.109
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    18.276   -67.061
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    18.276   -67.048
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    18.133   -66.938
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    18.184   -67.101
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    18.138   -66.722
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    17.944   -66.867
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    17.931   -66.842
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    17.941   -66.844
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    17.941   -66.866
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    17.954   -66.823
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    17.941   -66.837
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    17.940   -66.865
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    17.938   -66.838
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    17.950   -66.843
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    17.907   -66.827
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    17.923   -66.829
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    17.940   -66.815
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    17.910   -66.812
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    17.936   -66.808
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    17.944   -66.789
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    17.958   -66.809
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    17.958   -66.788
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    17.944   -66.735
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    17.957   -66.705
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    17.984   -66.824
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    18.003   -66.767
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    18.023   -66.735
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    17.995   -66.776
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    17.932   -66.691
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    17.975   -66.813
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    18.020   -66.754
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    17.978   -66.729
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    17.930   -66.703
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    17.927   -66.686
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    17.957   -66.874
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    18.001   -66.801
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
    18.000   -66.757
END
gmt psxy -: -R $projection -Sl8p+t"49" -G0 -O -K << END >> $psfile
    17.934   -66.843
END
gmt psxy -: -R $projection -Sl8p+t"50" -G0 -O -K << END >> $psfile
    17.956   -66.845
END
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
    17.927   -66.840
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
    17.977   -66.900
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
    17.894   -66.884
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
    18.001   -66.729
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
    17.943   -66.824
END
gmt psxy -: -R $projection -Sl8p+t"56" -G0 -O -K << END >> $psfile
    17.924   -67.010
END
gmt psxy -: -R $projection -Sl8p+t"57" -G0 -O -K << END >> $psfile
    17.911   -66.849
END
gmt psxy -: -R $projection -Sl8p+t"58" -G0 -O -K << END >> $psfile
    17.850   -66.875
END
gmt psxy -: -R $projection -Sl8p+t"59" -G0 -O -K << END >> $psfile
    17.907   -67.021
END
gmt psxy -: -R $projection -Sl8p+t"60" -G0 -O -K << END >> $psfile
    17.895   -66.859
END
gmt psxy -: -R $projection -Sl8p+t"61" -G0 -O -K << END >> $psfile
    17.918   -67.026
END
gmt psxy -: -R $projection -Sl8p+t"62" -G0 -O -K << END >> $psfile
    17.908   -66.980
END
gmt psxy -: -R $projection -Sl8p+t"63" -G0 -O -K << END >> $psfile
    17.895   -67.067
END
gmt psxy -: -R $projection -Sl8p+t"64" -G0 -O -K << END >> $psfile
    18.005   -66.760
END
gmt psxy -: -R $projection -Sl8p+t"65" -G0 -O -K << END >> $psfile
    17.929   -66.944
END
gmt psxy -: -R $projection -Sl8p+t"66" -G0 -O -K << END >> $psfile
    17.980   -66.765
END
gmt psxy -: -R $projection -Sl8p+t"67" -G0 -O -K << END >> $psfile
    17.932   -66.944
END
gmt psxy -: -R $projection -Sl8p+t"68" -G0 -O -K << END >> $psfile
    17.931   -66.947
END
gmt psxy -: -R $projection -Sl8p+t"69" -G0 -O -K << END >> $psfile
    18.012   -66.739
END
gmt psxy -: -R $projection -Sl8p+t"70" -G0 -O -K << END >> $psfile
    17.997   -66.735
END
gmt psxy -: -R $projection -Sl8p+t"71" -G0 -O -K << END >> $psfile
    17.976   -66.763
END
gmt psxy -: -R $projection -Sl8p+t"72" -G0 -O -K << END >> $psfile
    17.973   -66.758
END
gmt psxy -: -R $projection -Sl8p+t"73" -G0 -O -K << END >> $psfile
    17.920   -66.936
END
gmt psxy -: -R $projection -Sl8p+t"74" -G0 -O -K << END >> $psfile
    18.009   -66.814
END
gmt psxy -: -R $projection -Sl8p+t"75" -G0 -O -K << END >> $psfile
    17.924   -66.659
END
gmt psxy -: -R $projection -Sl8p+t"76" -G0 -O -K << END >> $psfile
    17.918   -66.686
END
gmt psxy -: -R $projection -Sl8p+t"77" -G0 -O -K << END >> $psfile
    17.845   -66.885
END
gmt psxy -: -R $projection -Sl8p+t"78" -G0 -O -K << END >> $psfile
    17.869   -66.869
END
gmt psxy -: -R $projection -Sl8p+t"79" -G0 -O -K << END >> $psfile
    17.866   -66.871
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.202   -67.075
    18.202   -67.075
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    18.215   -67.073
    18.202   -67.075
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.113   -66.773
    18.113   -66.773
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    18.118   -66.776
    18.113   -66.773
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.219   -66.997
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    18.222   -66.983
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.147   -66.980
    18.146   -66.980
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    18.137   -66.973
    18.146   -66.980
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.218   -67.047
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    18.208   -67.025
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.217   -67.047
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    18.202   -67.024
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.021   -66.473
    18.020   -66.473
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    18.022   -66.455
    18.020   -66.473
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.101   -67.115
    18.098   -67.114
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    18.088   -67.104
    18.098   -67.114
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.241   -66.955
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    18.236   -66.961
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.213   -67.108
    18.213   -67.108
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    18.226   -67.096
    18.213   -67.108
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.208   -67.109
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    18.218   -67.101
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.277   -67.061
    18.276   -67.061
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    18.278   -67.035
    18.276   -67.061
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.276   -67.048
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    18.267   -67.043
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.133   -66.938
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    18.130   -66.946
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.185   -67.100
    18.184   -67.101
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    18.171   -67.109
    18.184   -67.101
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.138   -66.721
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    18.150   -66.719
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.945   -66.867
    17.944   -66.867
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.937   -66.866
    17.944   -66.867
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.930   -66.841
    17.931   -66.842
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.890   -66.820
    17.931   -66.842
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.940   -66.844
    17.941   -66.844
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.873   -66.816
    17.941   -66.844
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.939   -66.865
    17.941   -66.866
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.881   -66.832
    17.941   -66.866
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.955   -66.823
    17.954   -66.823
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.895   -66.812
    17.954   -66.823
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.941   -66.837
    17.941   -66.837
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.888   -66.820
    17.941   -66.837
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.939   -66.865
    17.940   -66.865
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.878   -66.835
    17.940   -66.865
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.938   -66.838
    17.938   -66.838
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.945   -66.773
    17.938   -66.838
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.952   -66.843
    17.950   -66.843
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.871   -66.815
    17.950   -66.843
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.907   -66.827
    17.907   -66.827
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.847   -66.815
    17.907   -66.827
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.922   -66.828
    17.923   -66.829
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.874   -66.806
    17.923   -66.829
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.940   -66.815
    17.940   -66.815
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.875   -66.815
    17.940   -66.815
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.909   -66.812
    17.910   -66.812
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.875   -66.795
    17.910   -66.812
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.937   -66.808
    17.936   -66.808
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.880   -66.770
    17.936   -66.808
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.944   -66.788
    17.944   -66.789
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.926   -66.761
    17.944   -66.789
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.958   -66.809
    17.958   -66.809
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.916   -66.813
    17.958   -66.809
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.958   -66.788
    17.958   -66.788
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.857   -66.731
    17.958   -66.788
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.945   -66.734
    17.944   -66.735
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.922   -66.731
    17.944   -66.735
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.957   -66.705
    17.957   -66.705
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.953   -66.677
    17.957   -66.705
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.986   -66.824
    17.984   -66.824
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.948   -66.804
    17.984   -66.824
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.003   -66.766
    18.003   -66.767
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.982   -66.729
    18.003   -66.767
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.025   -66.734
    18.023   -66.735
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.999   -66.670
    18.023   -66.735
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.996   -66.775
    17.995   -66.776
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.878   -66.796
    17.995   -66.776
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.932   -66.691
    17.932   -66.691
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.896   -66.686
    17.932   -66.691
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.975   -66.812
    17.975   -66.813
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.941   -66.760
    17.975   -66.813
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.016   -66.753
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    18.004   -66.731
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.978   -66.729
    17.978   -66.729
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.951   -66.708
    17.978   -66.729
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.930   -66.703
    17.930   -66.703
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.884   -66.674
    17.930   -66.703
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.927   -66.687
    17.927   -66.686
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.946   -66.677
    17.927   -66.686
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.953   -66.871
    17.957   -66.874
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.943   -66.849
    17.957   -66.874
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.999   -66.802
    18.001   -66.801
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.945   -66.791
    18.001   -66.801
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.999   -66.757
    18.000   -66.757
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.929   -66.737
    18.000   -66.757
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.934   -66.843
    17.934   -66.843
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.871   -66.829
    17.934   -66.843
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.954   -66.846
    17.956   -66.845
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.824   -66.794
    17.956   -66.845
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.928   -66.840
    17.927   -66.840
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.895   -66.798
    17.927   -66.840
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.978   -66.899
    17.977   -66.900
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    18.002   -66.882
    17.977   -66.900
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.895   -66.884
    17.894   -66.884
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.886   -66.860
    17.894   -66.884
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.000   -66.728
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.861   -66.702
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.943   -66.823
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.903   -66.794
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.924   -67.010
    17.924   -67.010
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.924   -66.949
    17.924   -67.010
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.911   -66.850
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.914   -66.835
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.852   -66.875
    17.850   -66.875
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.760   -66.855
    17.850   -66.875
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.902   -67.021
    17.907   -67.021
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.977   -66.977
    17.907   -67.021
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.893   -66.861
    17.895   -66.859
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.875   -66.843
    17.895   -66.859
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.920   -67.026
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.961   -66.966
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.905   -66.979
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.896   -66.974
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.895   -67.067
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.877   -67.065
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.004   -66.759
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.979   -66.732
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.929   -66.944
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.905   -66.938
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.978   -66.764
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.896   -66.733
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.931   -66.941
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.889   -66.921
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.929   -66.947
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.862   -66.929
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.012   -66.739
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    18.031   -66.713
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.996   -66.734
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.985   -66.718
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.979   -66.757
    17.976   -66.763
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    18.008   -66.742
    17.976   -66.763
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.975   -66.759
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.871   -66.739
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.920   -66.936
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.877   -66.936
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.006   -66.814
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.845   -66.817
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.924   -66.659
    17.924   -66.659
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.910   -66.636
    17.924   -66.659
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.917   -66.686
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.918   -66.685
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.847   -66.885
    17.845   -66.885
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.792   -66.863
    17.845   -66.885
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.866   -66.874
    17.869   -66.869
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.757   -66.874
    17.869   -66.869
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.866   -66.871
    17.866   -66.871
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.809   -66.859
    17.866   -66.871
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    18.202   -67.075   -17.947     1.927     2.020
    18.113   -66.773    85.186     1.438     2.395
    18.218   -66.997    84.282     1.925     2.379
    18.146   -66.980    67.877     1.385     2.232
    18.217   -67.047   -78.226     1.575     2.474
    18.216   -67.047    64.952     1.813     2.514
    18.020   -66.473   -82.253     1.059     2.287
    18.098   -67.114    30.130     2.685     2.946
    18.241   -66.955    85.533     1.197     1.902
    18.213   -67.108   -75.618     1.451     1.709
    18.208   -67.109   -84.241     1.527     1.749
    18.276   -67.061    61.788     1.879     2.132
    18.276   -67.048    32.035     1.829     2.222
    18.133   -66.938   -88.014     1.595     2.085
    18.184   -67.101   -16.521     2.988     3.874
    18.138   -66.722   -85.501     0.924     1.685
    17.944   -66.867   -83.937     1.403     2.083
    17.931   -66.842    89.359     1.966     4.123
    17.941   -66.844   -89.016     1.827     3.288
    17.941   -66.866     3.069     0.465     1.825
    17.954   -66.823   -37.589     2.303     2.602
    17.941   -66.837    87.985     1.993     2.425
    17.940   -66.865   -85.187     2.855     5.060
    17.938   -66.838    89.612     1.411     2.243
    17.950   -66.843    88.788     1.595     2.566
    17.907   -66.827   -83.998     1.689     2.658
    17.923   -66.829    84.481     1.553     2.605
    17.940   -66.815   -77.887     2.561     2.879
    17.910   -66.812    87.679     2.033     4.402
    17.936   -66.808   -86.692     1.998     2.181
    17.944   -66.789    89.121     1.565     2.206
    17.958   -66.809   -75.371     1.073     1.315
    17.958   -66.788    81.691     2.688     3.744
    17.944   -66.735    75.087     1.539     1.743
    17.957   -66.705   -79.705     1.769     2.126
    17.984   -66.824    77.386     2.007     2.603
    18.003   -66.767   -83.140     1.200     1.492
    18.023   -66.735   -89.282     1.659     2.388
    17.995   -66.776   -87.621     2.183     2.988
    17.932   -66.691   -88.568     1.625     2.211
    17.975   -66.813    77.524     1.429     1.854
    18.020   -66.754    86.833     1.523     2.366
    17.978   -66.729    89.673     1.632     2.368
    17.930   -66.703    87.505     1.682     2.552
    17.927   -66.686    88.420     1.994     2.925
    17.957   -66.874    88.273     1.087     1.815
    18.001   -66.801    83.292     1.623     2.246
    18.000   -66.757    84.163     1.522     2.441
    17.934   -66.843    89.293     1.150     1.546
    17.956   -66.845    82.330     1.762     3.468
    17.927   -66.840    83.825     1.309     1.712
    17.977   -66.900    85.575     1.515     2.309
    17.894   -66.884    88.486     1.668     2.840
    18.001   -66.729    81.419     1.719     2.741
    17.943   -66.824    84.765     1.388     2.239
    17.924   -67.010   -84.623     2.404     3.846
    17.911   -66.849   -88.851     2.063     3.533
    17.850   -66.875   -88.573     1.840     2.650
    17.907   -67.021   -77.043     2.320     3.193
    17.895   -66.859   -83.405     2.491     3.732
    17.918   -67.026    82.153     1.627     2.122
    17.908   -66.980   -81.187     1.962     2.827
    17.895   -67.067   -76.236     2.778     3.854
    18.005   -66.760    84.370     1.483     2.242
    17.929   -66.944   -84.262     1.577     2.875
    17.980   -66.765   -79.826     1.442     2.310
    17.932   -66.944    85.102     1.085     1.602
    17.931   -66.947   -84.943     1.469     2.425
    18.012   -66.739   -83.942     1.450     2.499
    17.997   -66.735   -89.840     1.315     2.299
    17.976   -66.763   -87.290     1.471     2.363
    17.973   -66.758   -88.964     1.990     2.717
    17.920   -66.936   -78.119     1.409     2.858
    18.009   -66.814   -89.696     1.128     1.825
    17.924   -66.659    83.318     2.063     2.979
    17.918   -66.686    88.454     1.154     2.494
    17.845   -66.885   -89.148     1.334     1.689
    17.869   -66.869   -73.812     1.919     3.604
    17.866   -66.871   -79.897     1.518     2.729
END
# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    17.958   -66.809     0.200
    18.009   -66.814     0.100
END

# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    17.799   -67.158    65.321     1.441     1.883
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    17.799   -67.136   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    17.799   -67.158     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    17.799   -67.158     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    17.754   -67.158   5 km
END
