#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=indios4.8_epa_1.ps
projection=-JM16.0c+
region=-R-83.0/-50.6/2.7/33.4
gmt psbasemap $region $projection -Bxa5.0f1.0 -Bya5.0f1.0 -BWeSn+t'Empirical Path Anomalies: Pn indios4.8' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -M -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    17.992   293.144     0.300
END
# Station symbols
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    18.514   291.619    -0.040
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.307   294.717    -0.197
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.097   294.448    -0.113
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.332   295.228    -0.171
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.050   296.925    -0.274
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.142   294.150    -0.187
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    18.788   290.619     0.083
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    18.458   290.087     0.102
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    17.621   296.757    -0.193
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    17.493   297.019    -0.197
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    19.427   289.272     0.349
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    18.982   288.712     0.367
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    17.669   298.214    -0.214
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    16.289   298.235    -0.389
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    16.474   298.512    -0.319
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    16.070   298.393    -0.332
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    15.849   298.364    -0.447
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    15.949   298.718    -0.251
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    16.313   298.934    -0.456
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    14.841   298.836    -0.426
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    14.806   298.822    -0.518
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    14.735   298.840    -0.539
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    14.517   298.929    -0.545
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    14.445   299.141    -0.295
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    20.560   285.017    -0.113
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    13.143   300.441    -0.044
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    19.976   283.585    -0.173
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
     8.886   289.367    -0.292
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.226   282.465    -0.252
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
     4.856   285.670    -0.328
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    22.792   276.992    -0.003
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
     2.395   299.478    -0.296
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    28.110   278.567    -0.095
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    21.511   288.867    -0.013
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    12.132   298.346    -0.576
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    19.927   284.889    -0.103
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    21.200   282.234    -0.972
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    25.866   279.093    -0.090
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.036   279.638    -0.249
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    16.316   298.943    -0.258
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    14.425   299.163    -0.060
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    32.371   295.304    -0.473
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    23.062   278.629    -0.333
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    14.775   299.126    -0.545
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    22.497   280.529    -0.136
END
gmt pstext -: -R $projection -F+f5p,Helvetica,black+a0.+jBL -O -K << END >> $psfile
    18.514   291.619   PCDR 
    18.307   294.717   CUPR 
    18.097   294.448   MTP  
    18.332   295.228   SJVI 
    18.050   296.925   SMRT 
    18.142   294.150   HUMP 
    18.788   290.619   HMDR 
    18.458   290.087   SDD  
    17.621   296.757   SABA 
    17.493   297.019   SEUS 
    19.427   289.272   SC01 
    18.982   288.712   SDDR 
    17.669   298.214   ANWB 
    16.289   298.235   DHS  
    16.474   298.512   ABD  
    16.070   298.393   CBE  
    15.849   298.364   TDBA 
    15.949   298.718   MAGL 
    16.313   298.934   DSD  
    14.841   298.836   SAM  
    14.806   298.822   MPLM 
    14.735   298.840   FDFM 
    14.517   298.929   BIM  
    14.445   299.141   MPOM 
    20.560   285.017   NMDO 
    13.143   300.441   BBGH 
    19.976   283.585   CHIV 
     8.886   289.367   SDV  
    18.226   282.465   MTDJ 
     4.856   285.670   ROSC 
    22.792   276.992   SOR  
     2.395   299.478   BOAV 
    28.110   278.567   DWPF 
    21.511   288.867   GRTK 
    12.132   298.346   GRGR 
    19.927   284.889   GTBY 
    21.200   282.234   CCCC 
    25.866   279.093   061Z 
    27.036   279.638   060A 
    16.316   298.943   H05N1
    14.425   299.163   H05S1
    32.371   295.304   BBSR 
    23.062   278.629   CAMR 
    14.775   299.126   ILAM 
    22.497   280.529   CAIB 
END
gmt pstext -: -R $projection -F+f8p,Helvetica,black+a0.+jBL -O -K << END >> $psfile
     6.946   -81.230   Closed circles: stations used in direct calibration
END
gmt psxy -: -R $projection -Sc -Wthick,blue  -O -K << END >> $psfile
     4.996   -79.835    -0.500
     4.996   -77.840    -0.250
END
gmt psxy -: -R $projection -Sc -Wthick,green  -K -O << END >> $psfile
     4.996   -76.130     0.100
END
gmt psxy -: -R $projection -Sc -Wthick,red  -K -O << END >> $psfile
     4.996   -74.135     0.250
     4.996   -72.140     0.500
END
gmt pstext -: -R $projection -F+f8p,Helvetica,black+a0.+jBL -O << END >> $psfile
     6.001   -81.235   Station Residuals (sec.)
     3.496   -80.735   -2
     3.496   -78.635   -1
     3.496   -76.385   0
     3.496   -74.960   +1
     3.496   -72.935   +2
END
