#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=indios4.8_dcal.ps
projection=-JM16.0c+
region=-R-69.1/-64.5/15.9/20.2
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration indios4.8' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.202   -67.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.202   -67.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.202   -67.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.202   -67.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.202   -67.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.202   -67.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.202   -67.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.202   -67.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.202   -67.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.202   -67.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.202   -67.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.202   -67.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.202   -67.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.202   -67.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.386   -67.474
    18.202   -67.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.386   -67.474
    18.202   -67.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.202   -67.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.202   -67.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.202   -67.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.202   -67.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.113   -66.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.113   -66.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.113   -66.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.113   -66.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.113   -66.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.113   -66.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.113   -66.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.113   -66.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.113   -66.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.113   -66.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.113   -66.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.113   -66.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.113   -66.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.113   -66.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.113   -66.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.386   -67.474
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.386   -67.474
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.218   -66.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.146   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.146   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.146   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.146   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.146   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.146   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.146   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.146   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.146   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.146   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.146   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.146   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.146   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.146   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.146   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.146   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.386   -67.474
    18.146   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.386   -67.474
    18.146   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.146   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.146   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.386   -67.474
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.386   -67.474
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.886   -66.527
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.886   -66.527
    18.217   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.386   -67.474
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.386   -67.474
    18.216   -67.047
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.020   -66.473
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.020   -66.473
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.886   -66.527
    18.020   -66.473
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.886   -66.527
    18.020   -66.473
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    18.020   -66.473
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.965   -66.107
    18.020   -66.473
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.965   -66.107
    18.020   -66.473
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.020   -66.473
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.020   -66.473
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.020   -66.473
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.020   -66.473
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.020   -66.473
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.309   -66.084
    18.020   -66.473
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.309   -66.084
    18.020   -66.473
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.020   -66.473
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.020   -66.473
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.098   -67.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.098   -67.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.098   -67.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.098   -67.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.098   -67.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.098   -67.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.098   -67.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.098   -67.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.098   -67.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.098   -67.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.098   -67.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.098   -67.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.098   -67.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.098   -67.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.098   -67.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.386   -67.474
    18.098   -67.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.386   -67.474
    18.098   -67.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.098   -67.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.386   -67.474
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.386   -67.474
    18.241   -66.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.213   -67.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.213   -67.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.213   -67.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.213   -67.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.213   -67.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.213   -67.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.213   -67.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.213   -67.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.213   -67.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.213   -67.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.213   -67.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.213   -67.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.213   -67.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.213   -67.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.213   -67.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.213   -67.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.213   -67.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.213   -67.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.213   -67.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.213   -67.108
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.208   -67.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.276   -67.061
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.276   -67.061
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.276   -67.061
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.276   -67.061
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.276   -67.061
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.276   -67.061
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.276   -67.061
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.276   -67.061
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.276   -67.061
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.276   -67.061
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.276   -67.061
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.276   -67.061
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.276   -67.061
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.276   -67.061
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.276   -67.061
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.276   -67.061
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.276   -67.061
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.276   -67.061
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.276   -67.061
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.276   -67.061
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.276   -67.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.133   -66.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.184   -67.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.184   -67.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.184   -67.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.184   -67.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.184   -67.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.184   -67.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.184   -67.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.184   -67.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.184   -67.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.184   -67.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.184   -67.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.184   -67.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.184   -67.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.184   -67.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.184   -67.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.184   -67.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.184   -67.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.138   -66.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.944   -66.867
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.944   -66.867
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.944   -66.867
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.944   -66.867
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.944   -66.867
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.944   -66.867
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.944   -66.867
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.944   -66.867
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.944   -66.867
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.931   -66.842
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.931   -66.842
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.931   -66.842
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.931   -66.842
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.931   -66.842
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.931   -66.842
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.931   -66.842
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.941   -66.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.941   -66.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.941   -66.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.941   -66.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.941   -66.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.941   -66.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.941   -66.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.941   -66.866
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.941   -66.866
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.941   -66.866
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.941   -66.866
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.941   -66.866
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.941   -66.866
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.941   -66.866
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.954   -66.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.954   -66.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.954   -66.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.941   -66.837
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.941   -66.837
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.941   -66.837
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.941   -66.837
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.941   -66.837
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.941   -66.837
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.941   -66.837
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.940   -66.865
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.940   -66.865
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.940   -66.865
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.940   -66.865
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.940   -66.865
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.940   -66.865
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.938   -66.838
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.938   -66.838
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.938   -66.838
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.938   -66.838
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.938   -66.838
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.938   -66.838
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.938   -66.838
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.938   -66.838
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.950   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.950   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.950   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.950   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.950   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.950   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.950   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.950   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.950   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.950   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.950   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.950   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.950   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.907   -66.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.907   -66.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.907   -66.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.907   -66.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.907   -66.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.907   -66.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.907   -66.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.907   -66.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.907   -66.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.907   -66.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.907   -66.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.923   -66.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.923   -66.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.923   -66.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.923   -66.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.923   -66.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.923   -66.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.923   -66.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.923   -66.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.923   -66.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.923   -66.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.923   -66.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.923   -66.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.923   -66.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.923   -66.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.923   -66.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.940   -66.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.940   -66.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.940   -66.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.940   -66.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.940   -66.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.940   -66.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.940   -66.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.940   -66.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.940   -66.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.910   -66.812
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.910   -66.812
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.910   -66.812
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.910   -66.812
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.910   -66.812
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.910   -66.812
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.910   -66.812
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.910   -66.812
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.910   -66.812
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.910   -66.812
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.910   -66.812
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.910   -66.812
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.910   -66.812
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.936   -66.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.936   -66.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.936   -66.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.936   -66.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.936   -66.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.936   -66.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.936   -66.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.936   -66.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.944   -66.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.944   -66.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.944   -66.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.944   -66.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.944   -66.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.944   -66.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.944   -66.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.944   -66.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.944   -66.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.944   -66.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.944   -66.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.944   -66.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.944   -66.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.944   -66.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.958   -66.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.958   -66.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.958   -66.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.958   -66.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.958   -66.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.958   -66.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.958   -66.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.958   -66.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.958   -66.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.958   -66.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.958   -66.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.958   -66.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.958   -66.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.958   -66.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.958   -66.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.958   -66.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.958   -66.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.958   -66.809
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.958   -66.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.958   -66.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.958   -66.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.958   -66.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.958   -66.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.958   -66.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.958   -66.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.958   -66.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.958   -66.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.958   -66.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.958   -66.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.958   -66.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.958   -66.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.958   -66.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.944   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.944   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.944   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.944   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.944   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.944   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.944   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.944   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.944   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.944   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.944   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.944   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.944   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.944   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    17.944   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    17.944   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.944   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.944   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.957   -66.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.957   -66.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.957   -66.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.957   -66.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.957   -66.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.957   -66.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.957   -66.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.957   -66.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.957   -66.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.957   -66.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.957   -66.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.957   -66.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    17.957   -66.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    17.957   -66.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.957   -66.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.957   -66.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.984   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.984   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.984   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.984   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.984   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.984   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.984   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.984   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.984   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.984   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.984   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.984   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.984   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.984   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.984   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.984   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.003   -66.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.003   -66.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.003   -66.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.003   -66.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.003   -66.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.003   -66.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.003   -66.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.003   -66.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.003   -66.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.003   -66.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.003   -66.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    18.003   -66.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    18.003   -66.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.003   -66.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.003   -66.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    18.003   -66.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.003   -66.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.003   -66.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.023   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.023   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.023   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.023   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.023   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.023   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.023   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.023   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.023   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.023   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.023   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    18.023   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    18.023   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.023   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.023   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.023   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.023   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.023   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.995   -66.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.995   -66.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.995   -66.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.995   -66.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.995   -66.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.995   -66.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.995   -66.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.995   -66.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.995   -66.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.995   -66.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.995   -66.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.995   -66.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.995   -66.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.995   -66.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.995   -66.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.932   -66.691
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.932   -66.691
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.932   -66.691
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.932   -66.691
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.932   -66.691
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.932   -66.691
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.932   -66.691
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.932   -66.691
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.932   -66.691
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.932   -66.691
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.932   -66.691
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.932   -66.691
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.932   -66.691
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.932   -66.691
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.932   -66.691
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    17.932   -66.691
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.932   -66.691
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.975   -66.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.975   -66.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.975   -66.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.975   -66.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.975   -66.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.975   -66.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.975   -66.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.975   -66.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.975   -66.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.975   -66.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.975   -66.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.975   -66.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.975   -66.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.975   -66.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.975   -66.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.020   -66.754
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.978   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.978   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.978   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.978   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.978   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.978   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.978   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.978   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.978   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.978   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.978   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.978   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.978   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.978   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.978   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.978   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.978   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.978   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.978   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    17.978   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.930   -66.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.930   -66.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.930   -66.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.930   -66.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.930   -66.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.930   -66.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.930   -66.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.930   -66.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.930   -66.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.930   -66.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.930   -66.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.930   -66.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.930   -66.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.930   -66.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.930   -66.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.930   -66.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    17.930   -66.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    17.930   -66.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.930   -66.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.930   -66.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.927   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.927   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.927   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.927   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.927   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.927   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.927   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.927   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.927   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.927   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.927   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.927   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.927   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.927   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.927   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.927   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    17.927   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    17.927   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.957   -66.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.957   -66.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.957   -66.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.957   -66.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.957   -66.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.957   -66.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.957   -66.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.957   -66.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.957   -66.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.957   -66.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.957   -66.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.957   -66.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.957   -66.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.957   -66.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.957   -66.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.957   -66.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.957   -66.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.001   -66.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.001   -66.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.001   -66.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.001   -66.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.001   -66.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.001   -66.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.001   -66.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.001   -66.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.001   -66.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.001   -66.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.001   -66.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.001   -66.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.001   -66.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    18.001   -66.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    18.001   -66.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.001   -66.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.001   -66.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.001   -66.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.000   -66.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.000   -66.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.000   -66.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.000   -66.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.000   -66.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.000   -66.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.000   -66.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.000   -66.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.000   -66.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.000   -66.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.000   -66.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.000   -66.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.000   -66.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    18.000   -66.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.000   -66.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.000   -66.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.000   -66.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    18.000   -66.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    18.000   -66.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.934   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.934   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.934   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.934   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.934   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.934   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.934   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.934   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.934   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.934   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.934   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.934   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.934   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.934   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.934   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.934   -66.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.956   -66.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.956   -66.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.956   -66.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.956   -66.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.956   -66.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.956   -66.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.956   -66.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.956   -66.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.956   -66.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.956   -66.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.956   -66.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.956   -66.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.956   -66.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.956   -66.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.956   -66.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.956   -66.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.927   -66.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.927   -66.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.927   -66.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.927   -66.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.927   -66.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.927   -66.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.927   -66.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.927   -66.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.927   -66.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.927   -66.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.927   -66.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.927   -66.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.927   -66.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.927   -66.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.927   -66.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.927   -66.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.927   -66.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.977   -66.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.977   -66.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.977   -66.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.977   -66.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.977   -66.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.977   -66.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.977   -66.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.977   -66.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.977   -66.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.977   -66.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.977   -66.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.977   -66.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.977   -66.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.977   -66.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.977   -66.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.977   -66.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.894   -66.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.894   -66.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.894   -66.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.894   -66.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.894   -66.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.894   -66.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.894   -66.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.894   -66.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.894   -66.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.894   -66.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.894   -66.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.894   -66.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.894   -66.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.894   -66.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.894   -66.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.001   -66.729
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.943   -66.824
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.924   -67.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.924   -67.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.924   -67.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.924   -67.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.924   -67.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.924   -67.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.924   -67.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.924   -67.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.924   -67.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.924   -67.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.924   -67.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.924   -67.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.924   -67.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.924   -67.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.924   -67.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.911   -66.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.850   -66.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.850   -66.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.850   -66.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.850   -66.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.850   -66.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.850   -66.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.850   -66.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.850   -66.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.850   -66.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.850   -66.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.850   -66.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.850   -66.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.850   -66.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.850   -66.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.850   -66.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.850   -66.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.850   -66.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.850   -66.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.850   -66.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.850   -66.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.907   -67.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.907   -67.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.907   -67.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.907   -67.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.907   -67.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.907   -67.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.907   -67.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.907   -67.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.907   -67.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.907   -67.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.907   -67.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.907   -67.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.907   -67.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.895   -66.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.895   -66.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.895   -66.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.895   -66.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.895   -66.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.895   -66.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.895   -66.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.895   -66.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.895   -66.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.895   -66.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.895   -66.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.895   -66.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.895   -66.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.895   -66.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.895   -66.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.895   -66.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.895   -66.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.918   -67.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.908   -66.980
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.895   -67.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.005   -66.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.929   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.980   -66.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.932   -66.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.931   -66.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.012   -66.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.997   -66.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.976   -66.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.976   -66.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.976   -66.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.976   -66.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.976   -66.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.976   -66.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.976   -66.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.976   -66.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.976   -66.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.976   -66.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.976   -66.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.976   -66.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.976   -66.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.976   -66.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.976   -66.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.976   -66.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    17.976   -66.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.976   -66.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.347   -66.754
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.973   -66.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    17.920   -66.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.467   -67.111
    18.009   -66.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.924   -66.659
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.924   -66.659
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.924   -66.659
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.924   -66.659
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.924   -66.659
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.924   -66.659
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.924   -66.659
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.924   -66.659
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.924   -66.659
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    17.924   -66.659
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.924   -66.659
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.319   -66.363
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.112   -66.150
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.477   -66.530
    17.918   -66.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.845   -66.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.845   -66.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.845   -66.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.845   -66.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.845   -66.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.845   -66.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.845   -66.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.845   -66.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.845   -66.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.845   -66.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.845   -66.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.845   -66.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.845   -66.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.869   -66.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.869   -66.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.869   -66.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.869   -66.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.869   -66.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.869   -66.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.869   -66.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.869   -66.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.869   -66.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.869   -66.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.869   -66.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.869   -66.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.869   -66.869
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.975   -66.879
    17.866   -66.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.866   -66.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.969   -67.044
    17.866   -66.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.866   -66.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.978   -66.671
    17.866   -66.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.866   -66.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.067   -66.938
    17.866   -66.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.866   -66.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.056   -66.725
    17.866   -66.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.866   -66.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.006   -67.110
    17.866   -66.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.866   -66.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.043   -66.606
    17.866   -66.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.866   -66.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.075   -66.579
    17.866   -66.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.176   -67.086
    17.866   -66.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.866   -66.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.253   -66.720
    17.866   -66.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.866   -66.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.217   -67.145
    17.866   -66.871
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    18.176   -67.086     0.300
    18.217   -67.145     0.300
    18.006   -67.110     0.300
    17.969   -67.044     0.300
    18.467   -67.111     0.300
    17.975   -66.879     0.300
    18.347   -66.754     0.300
    18.253   -66.720     0.300
    18.386   -67.474     0.300
    18.075   -66.579     0.300
    18.477   -66.530     0.300
    18.043   -66.606     0.300
    17.886   -66.527     0.300
    18.112   -66.150     0.300
    17.965   -66.107     0.300
    18.309   -66.084     0.300
    18.319   -66.363     0.300
    17.978   -66.671     0.300
    18.056   -66.725     0.300
    18.067   -66.938     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.202   -67.075     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.113   -66.773     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.218   -66.997     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.146   -66.980     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.217   -67.047     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.216   -67.047     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.020   -66.473     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.098   -67.114     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.241   -66.955     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.213   -67.108     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.208   -67.109     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.276   -67.061     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.276   -67.048     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.133   -66.938     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.184   -67.101     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.138   -66.722     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.944   -66.867     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.931   -66.842     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.941   -66.844     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.941   -66.866     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.954   -66.823     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.941   -66.837     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.940   -66.865     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.938   -66.838     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.950   -66.843     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.907   -66.827     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.923   -66.829     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.940   -66.815     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.910   -66.812     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.936   -66.808     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.944   -66.789     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.958   -66.809     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.958   -66.788     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.944   -66.735     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.957   -66.705     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.984   -66.824     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.003   -66.767     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.023   -66.735     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.995   -66.776     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.932   -66.691     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.975   -66.813     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.020   -66.754     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.978   -66.729     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.930   -66.703     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.927   -66.686     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.957   -66.874     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.001   -66.801     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.000   -66.757     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.934   -66.843     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.956   -66.845     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.927   -66.840     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.977   -66.900     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.894   -66.884     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.001   -66.729     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.943   -66.824     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.924   -67.010     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.911   -66.849     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.850   -66.875     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.907   -67.021     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.895   -66.859     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.918   -67.026     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.908   -66.980     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.895   -67.067     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.005   -66.760     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.929   -66.944     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.980   -66.765     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.932   -66.944     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.931   -66.947     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.012   -66.739     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.997   -66.735     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.976   -66.763     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.973   -66.758     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.920   -66.936     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.009   -66.814     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.924   -66.659     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.918   -66.686     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.845   -66.885     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.869   -66.869     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.866   -66.871     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    17.992   -66.856     0.000   222.000   222.000
    17.992   -66.856     0.000   444.000   444.000
END
